## python-test2ref 1.1.1

=== Makefile ===
_GREEN:=\033[0;32m
_BLUE:=\033[0;34m
_BOLD:=\033[1m
_NORM:=\033[0m
ENV:=uv run --frozen --
PYTEST_OPTIONS=


.PHONY: help
help:  ## [DEFAULT] Show this help
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?##"}; {printf "${_BLUE}${_BOLD}%-10s${_NORM} %s\n", $$1, $$2}'


.PHONY: all
all:  ## Do everything taggged with [ALL] below
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | grep "\[ALL\]" | grep -v "^all" | awk 'BEGIN {FS = ":.*?##"}; {printf "%s ", $$1}' | xargs make
	@echo "\n    ${_GREEN}${_BOLD}PASS${_NORM}\n"


.PHONY: pre-commit
pre-commit: .venv/.valid .git/hooks/pre-commit ## [ALL] Run 'pre-commit' on all files
	${ENV} pre-commit run --all-files

.git/hooks/pre-commit: .venv/.valid
	${ENV} pre-commit install --install-hooks


.PHONY: test
test: .venv/.valid ## [ALL] Run Unittests via 'pytest' with {PYTEST_OPTIONS}
	${ENV} pytest -vv ${PYTEST_OPTIONS}
	@echo  "See coverage report:\n\n    file://${PWD}/htmlcov/index.html\n"


.PHONY: checktypes
checktypes: .venv/.valid ## [ALL] Run Type-Checking via 'mypy'
	${ENV} mypy .


.PHONY: doc
doc: .venv/.valid ## [ALL] Build Documentation via 'mkdocs'
	${ENV} mkdocs build


.PHONY: doc-serve
doc-serve: .venv/.valid ## Start Local Documentation Server via 'mkdocs'
	${ENV} mkdocs serve --no-strict


.PHONY: code
code:  ## Start Visual Studio Code
	code test2ref.code-workspace &


.PHONY: clean
clean:  ## Remove everything mentioned by '.gitignore' file
	git clean -xdf


.PHONY: distclean
distclean:  ## Remove everything mentioned by '.gitignore' file and UNTRACKED files
	git clean -xdf


.PHONY: shell
shell:  ## Open a project specific SHELL. For leaving use 'exit'.
	${ENV} ${SHELL}


# Helper
.venv/.valid: pyproject.toml uv.lock
	uv sync --frozen
	@touch $@

uv.lock:
	uv lock

=== debian/changelog ===
python-test2ref (1.1.1-3) unstable; urgency=medium

  * Mark package is team-maintained, add Vcs-*: tags
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Feb 2026 21:30:58 +0100

python-test2ref (1.1.1-2) unstable; urgency=medium

  * First release. (closes: #1103609)
  * Copyright review: clarify that "nbiotcloud" came from a template
    kept verbatim and that "iccode17" is the one true author.
    .
    CONTRIBUTE.md
    # This project uses https://github.com/nbiotcloud/python-template 1.1.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Oct 2025 14:31:06 +0200

python-test2ref (1.1.1-1) unstable; urgency=medium

  * First release. (closes: #1103609)

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Sat, 19 Apr 2025 10:42:00 -0500

=== debian/control ===
Source: python-test2ref
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Mitchell Augustin <mitchell@mitchellaugustin.com>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-binaryornot,
 python3-pdm-backend,
 python3-pytest,
 python3-pytest-cov,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.3
Homepage: https://github.com/nbiotcloud/test2ref/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python3-test2ref
Vcs-Git: https://salsa.debian.org/python-team/packages/python3-test2ref.git

Package: python3-test2ref
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Testing Against Learned Reference Data
 This tool allows to record and replay tests against known scenarios.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/report.xml {build_dir}/htmlcov/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: nbiotcloud
Project: test2ref
